VSX

Certificate details

Certificate ID #1976
Status historical
Historical reason Moved to historical list in accordance with SP800-131A Revision 1 Transition (AES/TDES key wrapping)
Validation dates 17.07.2013
Standard FIPS 140-2
Security level 1
Type Firmware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode
Exceptions
  • Roles, Services, and Authentication: Level 2
  • Design Assurance: Level 3
  • Tested: Check Point Power-1 9070 with Check Point SecurePlatform Operating System Version NGX R67
Description Check Point VPN-1 Power VSX is a virtualized security gateway that allows virtualized enterprises and managed service providers to create up to 250 virtual systems (firewall, VPN, and intrusion prevention functionality within a virtual network environment) on a single, highly scalable hardware platform.
Version (Firmware) R67.10 with R7x hotfix
Vendor Check Point Software Technologies Ltd. http://www.checkpoint.com
Lab CYGNACOM SOLUTIONS INC
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES-, AES, CAST, DES, TripleDES, Triple-DES, HMAC, CMAC
Asymmetric Algorithms
Diffie-Hellman, DH, DSA
Hash functions
SHA-1, SHA1, SHA-256, SHA-384, SHA-512, MD5
Schemes
MAC, Key exchange, Key Exchange, Key Agreement
Protocols
SSH, SSL, TLS, TLS v1.0, IKE, IKEv2, IKEv1, IPsec, VPN
Randomness
PRNG, DRBG
Block cipher modes
CBC

Security level
Level 1, level 1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 1976,
  "dgst": "4c3aada37cf7fd38",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "SHS#1618",
        "RSA#926",
        "SHS#1617",
        "DRBG#147",
        "AES#1837",
        "HMAC#1092",
        "Triple-DES#1191",
        "Triple-DES#1190",
        "HMAC#1091"
      ]
    },
    "cpe_matches": {
      "_type": "Set",
      "elements": [
        "cpe:2.3:a:checkpoint:vpn-1_firewall-1_vsx:-:*:*:*:*:*:*:*"
      ]
    },
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "67.10"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 43,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "FF": {
          "DH": {
            "DH": 4,
            "Diffie-Hellman": 22
          },
          "DSA": {
            "DSA": 1
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 3
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 46,
          "IKEv1": 1,
          "IKEv2": 1
        },
        "IPsec": {
          "IPsec": 2
        },
        "SSH": {
          "SSH": 2
        },
        "TLS": {
          "SSL": {
            "SSL": 1
          },
          "TLS": {
            "TLS": 29,
            "TLS v1.0": 2
          }
        },
        "VPN": {
          "VPN": 8
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 1
        },
        "KEX": {
          "Key Exchange": 1,
          "Key exchange": 1
        },
        "MAC": {
          "MAC": 1
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 1,
          "#1091": 1,
          "#1092": 1,
          "#1190": 1,
          "#1191": 2,
          "#147": 1,
          "#1617": 1,
          "#1618": 1,
          "#1837": 1,
          "#926": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "- PKCS#1": 1,
          "AES (128": 1,
          "HMAC-SHA-1": 1,
          "HMAC-SHA-1 (20": 1,
          "HMAC-SHA-1-96": 2,
          "PKCS#1": 3,
          "SHA-1": 7,
          "SHA-256": 4,
          "SHA-384": 2,
          "SHA-512": 2,
          "SHA1": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 4,
          "level 1": 2
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 1
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 7,
            "SHA1": 1
          },
          "SHA2": {
            "SHA-256": 4,
            "SHA-384": 2,
            "SHA-512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 8,
          "PRNG": 1
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 32,
          "FIPS 1402": 1,
          "FIPS 180-3": 1,
          "FIPS 198": 1,
          "FIPS 46-3": 1,
          "FIPS PUB 197": 1
        },
        "NIST": {
          "SP 800-90A": 6
        },
        "PKCS": {
          "PKCS#1": 2
        },
        "RFC": {
          "RFC 2104": 2,
          "RFC 2246": 1,
          "RFC 2403": 1,
          "RFC 2404": 1,
          "RFC 3526": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 6,
            "AES-": 1
          },
          "CAST": {
            "CAST": 1
          }
        },
        "DES": {
          "3DES": {
            "Triple-DES": 4,
            "TripleDES": 1
          },
          "DES": {
            "DES": 2
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 4,
            "HMAC": 6
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "SHS#1618",
        "RSA#926",
        "SHS#1617",
        "DRBG#147",
        "AES#1837",
        "HMAC#1092",
        "Triple-DES#1191",
        "Triple-DES#1190",
        "HMAC#1091"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": []
    },
    "policy_metadata": {
      "/Author": "josmith7",
      "/CreationDate": "D:20130531170839-04\u002700\u0027",
      "/Creator": "PScript5.dll Version 5.2.2",
      "/ModDate": "D:20130716164800-04\u002700\u0027",
      "/Producer": "Acrobat Distiller 7.0.5 (Windows)",
      "/Title": "Microsoft Word - VSX_Version-R67.10_Policy-V1.8 053113_JS.doc",
      "pdf_file_size_bytes": 1194346,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 43
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "8c92f48077c80e44e303d9d82904d67fb1deaf4c6039409be9d16c7548480c50",
      "source_hash": "aeabe7bcfae57c6b3ce338f741111d90f63c83e16c9ecf7181abb73f15ab67bd",
      "txt_hash": "5bcde1bee939859c982fa7d144c084e076f32ba6d9320c88e7b416b2fdaebcd0"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertList0031.pdf",
    "date_sunset": null,
    "description": "Check Point VPN-1 Power VSX is a virtualized security gateway that allows virtualized enterprises and managed service providers to create up to 250 virtual systems (firewall, VPN, and intrusion prevention functionality within a virtual network environment) on a single, highly scalable hardware platform.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 2",
      "Design Assurance: Level 3",
      "Tested: Check Point Power-1 9070 with Check Point SecurePlatform Operating System Version NGX R67"
    ],
    "fw_versions": "R67.10 with R7x hotfix",
    "historical_reason": "Moved to historical list in accordance with SP800-131A Revision 1 Transition (AES/TDES key wrapping)",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "VSX",
    "module_type": "Firmware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2013-07-17",
        "lab": "CYGNACOM SOLUTIONS INC",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Check Point Software Technologies Ltd.",
    "vendor_url": "http://www.checkpoint.com"
  }
}